# wxLogTextCtrl Class Reference
[Logging]

`#include </home/work/projects/wx/2.9/wx/interface/wx/log.h>`

Inheritance diagram for wxLogTextCtrl:
[legend]

## Detailed Description

Using these target all the log messages can be redirected to a text control.

The text control must have been created with `wxTE_MULTILINE` style by the caller previously.

##

Library: wxBase
Category: Logging

See also:
  wxTextCtrl, wxStreamToTextRedirector

## Public Member Functions

| wxLogTextCtrl (wxTextCtrl *pTextCtrl)
| Constructs a log target which sends all the log messages to the given text control.

List of all members.

## Constructor & Destructor Documentation

wxLogTextCtrl::wxLogTextCtrl | ( | wxTextCtrl * | pTextCtrl | ) |

Constructs a log target which sends all the log messages to the given text control.

The textctrl parameter cannot be NULL.

|  | [ top ]